Subject: Re: bug#18870: \emsp and alignment in org clock report

From: Nicolas Goaziou <[email-masked]>
Date: Tue, 17 Mar 2015 22:09:07 +0100

Hello,

Ben Finney <[email-masked]> writes:

> I confirm this behaviour.
>
> With a plain text terminal, a clock report shows like:
>
> |-------------------+------------------------------+--------+------+------|
> | willow-it.org     | *File time*                  | *5:25* |      |    
>  |
> |                   | Willow IT                    | 5:25   |      |    
>  |
> |                   | \emsp Administration         |        | 3:44 |    
>  |
> |                   | \emsp\emsp Induction         |        |      |
> 3:44 |
> |                   | \emsp Training & development |        | 1:41 |    
>  |
> |                   | \emsp\emsp Odoo research     |        |      |
> 1:41 |
> |-------------------+------------------------------+--------+------+------|
>
> The "\emsp" should be space characters (of some kind; either U+0020 SPC
> or U+2003 EM SPACE) with correct alignment for the character width.
> Displaying literal "\emsp" is a regression and should not happen.

This is not a regression. This change favors a correct export over
a correct display.

Having some space character is not desirable as it would just move the
problem the other way around (i.e., indentation would not appear during
export)

In a nutshell, the current situation is not perfect, but we have yet to
find a proper character to preserve both indentation during export and
readability.

> If having a U+2003 EM SPACE character is desirable, then instead of
> LaTeX-specific markup (which is useless in the text buffer), that
> character should appear directly in the data so it is useful for
> display.

Note that this is not LaTeX-specific markup. This is called an entity,
and is correctly exported in various back-ends.

Regards,

-- 
Nicolas Goaziou